﻿html, body {
    /*font: 22px/1.2 "Palatino", "Garamond";*/
	/*font: 22px/1.2 "Yanone Kaffeesatz", sans-serif;*/
	font: 18px/1.2  "Garamond", sans-serif;
  	margin: 0;
  	padding: 0;
    width: 100%;
    height: 100%;
  }

  @font-face {
	font-family: Montserrat-ThinItalic; 
	src: url(../font/Montserrat-ThinItalic.ttf) format('truetype');
	font-weight: normal;
    font-style: normal;
  }
  
  @font-face {
	font-family: Montserrat-Light;
    src: url(../font/Montserrat-Light.ttf) format('truetype');
	font-weight: normal;
    font-style: normal;
  }
  
  @font-face {
	font-family: Yanone Kaffeesatz;
    src: url(../font/YanoneKaffeesatz-Regular.ttf) format('truetype');
	font-weight: normal;
    font-style: normal;
  }
  
	
  
  
  @page {
    size: 800px 600px;
    margin: 0;
    /*
    @bottom-center {
        content: counter(page) ' / ' counter(pages);
        font-size: 70%;
        margin-top: -3em;
    }
    */
  }
  @page:first {
    @bottom-center {
        content: none;
    }
  }
  

  
  @media screen {
    /*
    body {
      background: hsl(0, 0%, 20%);
      color: white;
    }
    */
    section {
		width: 100% !important;
		height: 100% !important; 
      margin: 0;
      /*box-shadow: 0 0 15px #888;*/
      /*border:3px solid #888;*/
      counter-increment: slide;
    }
    section:after {
      /*content: counter(slide) ' / 21';*/
	  content: counter(slide);
      font-size: 70%;
	  color: #999999;
      position: absolute;
      bottom: 10px;
	  left: 0;
      right: 10px;
      text-align: right;
    }
    section:first-of-type:after {
      content: none;
    }
    details {
      display: none;
    }
	
	
	
	/* RETIRER POUR IMPRESSION 
	    body {
	      width: 800px; height: 600px;
	      margin-left: -400px; margin-top: -300px;
	      position: absolute; top: 50%; left: 50%;
	  }
*/

  }
  
  
  @media print { /* print always with details */
	  /* Chrome imprime par défaut au format transparents, Firefox au format A4 avec les notes !
	  @page {
	    size: 800px 1131px; // A4 : 21 x 29.7 cm2 
	    margin: 0;
	}
		  */
	  
	  details {
	      display: block !important;
	      position: absolute;
	      top: 100%;
	      left: 0;
	      right: 0;
	      font-size: 11pt;
	      white-space: pre-line;
	      margin: -.5em 1em;
		  overflow: hidden; 
	  }
	  
	  section.details {
  	      font-size: 11pt;
		  display: block !important;
	  }
	  

	  a.printHREF:link:after,
	  a.printHREF:visited:after {
		  content:" (" attr(href) ")";
		  font-size:90%;
	  }

	  
	  html, body {
	    font: 20px/1.2 "Open Sans" !important;
	  }
	  
	  /*
      body {
        width: 100%; height: 100%;
        margin-left: 0; margin-top: 0px;
        position: relative;
		transform: scale(1,1);
    }
	*/

	  
	  h1,h2 {
		  letter-spacing: 0px !important;
	  }
	  /*
	  footer {
	      display: block !important;
	      position: absolute;
	      top: 90%;
	      left: 0;
	      right: 0;	  	
	  }
	  */
	  
  }
  
  section {
    page-break-after: always;
    box-sizing: border-box;
    width: 800px;
    height: 600px;
    color: #333333;
    background-color: #efefef; 
    padding: 0;
	margin: 0;
    position: relative;
    /*overflow: hidden;*/
  }
  
  section.details {
	  display: none;
  }
  
  ul {
	  margin: 0;
  }
  ul:not(.dense) {
    /*list-style: none;*/
  }
  ul:not(.dense) li {
    margin-bottom: .5em;
  }


  h1 {
	  letter-spacing: -1px;
	  display: block;
	  box-sizing: border-box;
	  border: 0;
	  width: 100%;
	  height: 100%;
	  color: #000000;
	  text-align: center;
	  text-shadow: 2px 2px 2px #cccccc, 2px 2px 2px #999999;
	  margin: 0;
	  padding-top: 200px;
	  font-size: 200%;
	  font-family: "Yanone Kaffeesatz", sans-serif;
  }

  h2 {
	  letter-spacing: -1px;
	  display: block;
	  box-sizing: border-box;
	  border: 0;
	  width: 100%;
	  color: #000000;
	  text-shadow: 1px 1px 1px #cccccc, 1px 1px 1px #999999;
	  margin: 0;
	  padding: 1px 20px;
	  font-size: 180%;
	  font-family: "Yanone Kaffeesatz", sans-serif;
  }
  
  footer {
	box-sizing: border-box;
    text-align: right;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
/*    margin: .75em 30px;*/
    padding: .5em;
    color: #666666;
    font-size: 90%;
	font-family: "Maiden Orange";
  }

  img {
    vertical-align: middle;
    max-width: 100%;
  }
  section > img {
    display: block;
    padding: 1em auto;
  }

  sup {
    font-size: 80%;
  }
  a {
    color: inherit;
  }
  
  p {
	  margin: 20px;
  }
  
  figure {
  	display: block;
  	margin: 0;
  	padding: 0;
  	width: 100%;
  	height: 100%;
  	background: #000000;
  }
  figure > img {
    display: block;
    margin: 0 auto;
    min-height:100%; 
    width: auto; 
    vertical-align: top;
  }
  
  section.blackbackground {
      background: #333333;
      background-image: -moz-radial-gradient(center top, circle closest-corner, #2A2E30, #111414);
      background-image: radial-gradient(center top, circle closest-corner, #2A2E30, #111414);
      color: #ffffff;
  }

  /*
  Borrowed from microjs website : 
  */
  
  ul {
    width: 82%;
    margin: 0 auto 20px auto;
    list-style-type: none;
    padding-top: 60px;
  }
  
  section.blackbackground h1, section.blackbackground h2, section.blackbackground h3, section.blackbackground h4 {
    font-family: 'Maiden Orange'; 
    font-weight: normal;
  }
  
  
  li a {
    height: 60px;
    border-radius: 25px;
    margin: 0 0 10px 0;
    text-rendering:optimizeLegibility;
    overflow: hidden;
    padding-bottom: 10px;
    text-overflow: ellipsis;
    color: #fff;
    text-decoration: none;
    display: block;
    padding: 20px;
  }
  li:nth-child(6n+1) a {
    background: #791982;
    background:
      linear-gradient(rgba(0,0,0,0.2), rgba(255,255,255,0.1) 50%, rgba(255,255,255,0) 50.01%, rgba(255,255,255,0)),
      linear-gradient(#a839b2, #6c1075);
  }
  li:nth-child(6n+2) a {
    background: #C4004D;
    background:
      linear-gradient(rgba(0,0,0,0.2), rgba(255,255,255,0.1) 50%, rgba(255,255,255,0) 50.01%, rgba(255,255,255,0)),
      linear-gradient(#ff0071, #bb0047);
  }

  li:nth-child(6n+3) a {
    background: #1E577F;
    background:
      linear-gradient(rgba(0,0,0,0.2), rgba(255,255,255,0.1) 50%, rgba(255,255,255,0) 50.01%, rgba(255,255,255,0)),
      linear-gradient(#0074ae, #073c66);
  }
  
  li:nth-child(6n+4) a {
    background: #4A8419;

    background:
      linear-gradient(rgba(0,0,0,0.2), rgba(255,255,255,0.1) 50%, rgba(255,255,255,0) 50.01%, rgba(255,255,255,0)),
      linear-gradient(#58aa00, #337100);
  }

  li a:hover, li a:focus {
	color: #fff;
    background:
      linear-gradient(rgba(0,0,0,0.1), rgba(255,255,255,0.2) 50%, rgba(255,255,255,0.1) 50.01%, rgba(255,255,255,0.1)),
      linear-gradient(#3a3e40, #2a2e30);
    text-shadow:0 0 15px rgba(255,255,255,0.4);

  }
  li:nth-child(6n+1) a:hover, li:nth-child(6n+1) a:focus { 
    background:
      linear-gradient(rgba(0,0,0,0.1), rgba(255,255,255,0.2) 50%, rgba(255,255,255,0.1) 50.01%, rgba(255,255,255,0.1)),
      linear-gradient(#A839B2, #6c1075);
  }
  li:nth-child(6n+2) a:hover, li:nth-child(6n+2) a:focus {
    background:
      linear-gradient(rgba(0,0,0,0.1), rgba(255,255,255,0.2) 50%, rgba(255,255,255,0.1) 50.01%, rgba(255,255,255,0.1)),
      linear-gradient(#ff0071, #bb0047);
  }

  li:nth-child(6n+3) a:hover, li:nth-child(6n+3) a:focus {
    background:
      linear-gradient(rgba(0,0,0,0.1), rgba(255,255,255,0.2) 50%, rgba(255,255,255,0.1) 50.01%, rgba(255,255,255,0.1)),
      linear-gradient(#0074ae, #073c66);
  }
  
  li:nth-child(6n+4) a:hover, li:nth-child(6n+4) a:focus {
    background:
      linear-gradient(rgba(0,0,0,0.1), rgba(255,255,255,0.2) 50%, rgba(255,255,255,0.1) 50.01%, rgba(255,255,255,0.1)),
      linear-gradient(#58aa00, #337100);
  }

  li .size {
    float: right;
    margin: 0 30px 0 0;
    border-left: 1px solid rgba(255,255,255,1.0);
    padding: 0 20px 0 0;
    height: 60px;
  }
  li h3, li h4 {
    display: inline;
    line-height: 56px;
  }
  li h3 {
    font-size: 40px;
  }
  li h4 {
    font-size: 32px;
  }

  
  .title span {
	  font: italic 20px 'Palatino';
  }

  li div.size {
    float: right;
    margin: 0 0 0 30px;
    padding: 0 0 0 20px;
    line-height: 66px;
    height: 60px;
    font-size: 40px;
    font-weight: normal;
    font-family: 'Maiden Orange', serif;
    width: 100px;
    white-space: nowrap;
  }
  
  
  
  .gw {
    /* margin-left: -24px; LUC LUC LUC -> 0px */
    margin-left: -24px;
    list-style: none;
    margin-bottom: 0;
	box-sizing: border-box;
  }
  .g {
    float: left;
    padding-left: 24px;
	box-sizing: border-box;
  }
  .one-half {
    width: 50%;
  }

  #box_handler {
    width: 245px;
    height: 50px;
    padding: 0px;
    border: 1px solid #aaaaaa;
    margin-left: 50px;
    white-space:nowrap;
    overflow: auto;
    overflow-y: hidden;
}

#title_graph {
  display: block;
  padding-top: 15px;
}

#idtangle {
  color: blue;
  /*background-color: lightgrey;*/
  /*background-color: lightgrey;*/
}

#comment {
}

#signature {
  position: fixed;
  text-align: center;
  /*margin-bottom-center: 15px;*/
  font-size: 75%;
}